<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Tue Aug 01 04:47:13 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Interval (org.eclipse.papyrus.marte.vsl 1.2.2 API)</title>
<meta name="date" content="2017-08-01">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Interval (org.eclipse.papyrus.marte.vsl 1.2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Interval.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/eclipse/papyrus/marte/vsl/vSL/IntegerLiteralRule.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/eclipse/papyrus/marte/vsl/vSL/JitterExp.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/eclipse/papyrus/marte/vsl/vSL/Interval.html" target="_top">Frames</a></li>
<li><a href="Interval.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.marte.vsl.vSL</div>
<h2 title="Interface Interval" class="title">Interface Interval</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd>org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, <a href="../../../../../../org/eclipse/papyrus/marte/vsl/vSL/ValueSpecification.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">ValueSpecification</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/IntervalImpl.html" title="class in org.eclipse.papyrus.marte.vsl.vSL.impl">IntervalImpl</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">Interval</span>
extends <a href="../../../../../../org/eclipse/papyrus/marte/vsl/vSL/ValueSpecification.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">ValueSpecification</a></pre>
<div class="block"><!-- begin-user-doc -->
 A representation of the model object '<em><b>Interval</b></em>'.
 <!-- end-user-doc -->

 <p>
 The following features are supported:
 <ul>
 <li><a href="../../../../../../org/eclipse/papyrus/marte/vsl/vSL/Interval.html#getIsLowerIncluded--"><code><em>Is Lower Included</em></code></a></li>
 <li><a href="../../../../../../org/eclipse/papyrus/marte/vsl/vSL/Interval.html#getLower--"><code><em>Lower</em></code></a></li>
 <li><a href="../../../../../../org/eclipse/papyrus/marte/vsl/vSL/Interval.html#getUpper--"><code><em>Upper</em></code></a></li>
 <li><a href="../../../../../../org/eclipse/papyrus/marte/vsl/vSL/Interval.html#getIsUpperIncluded--"><code><em>Is Upper Included</em></code></a></li>
 </ul>
 </p></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLPackage.html#getInterval--"><code>VSLPackage.getInterval()</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.Element</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/marte/vsl/vSL/Interval.html#getContextElement--">getContextElement</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.Type</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/marte/vsl/vSL/Interval.html#getExpectedType--">getExpectedType</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EObject</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/marte/vsl/vSL/Interval.html#getFilteredParentRule-org.eclipse.emf.ecore.EClass-">getFilteredParentRule</a></span>(org.eclipse.emf.ecore.EClass&nbsp;filter)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/marte/vsl/vSL/Interval.html#getIsLowerIncluded--">getIsLowerIncluded</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Is Lower Included</b></em>' attribute.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/marte/vsl/vSL/Interval.html#getIsUpperIncluded--">getIsUpperIncluded</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Is Upper Included</b></em>' attribute.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/eclipse/papyrus/marte/vsl/vSL/Expression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">Expression</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/marte/vsl/vSL/Interval.html#getLower--">getLower</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Lower</b></em>' containment reference.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/eclipse/papyrus/marte/vsl/vSL/Expression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">Expression</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/marte/vsl/vSL/Interval.html#getUpper--">getUpper</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Upper</b></em>' containment reference.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/marte/vsl/vSL/Interval.html#setIsLowerIncluded-java.lang.String-">setIsLowerIncluded</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/marte/vsl/vSL/Interval.html#getIsLowerIncluded--"><code><em>Is Lower Included</em></code></a>' attribute.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/marte/vsl/vSL/Interval.html#setIsUpperIncluded-java.lang.String-">setIsUpperIncluded</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/marte/vsl/vSL/Interval.html#getIsUpperIncluded--"><code><em>Is Upper Included</em></code></a>' attribute.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/marte/vsl/vSL/Interval.html#setLower-org.eclipse.papyrus.marte.vsl.vSL.Expression-">setLower</a></span>(<a href="../../../../../../org/eclipse/papyrus/marte/vsl/vSL/Expression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">Expression</a>&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/marte/vsl/vSL/Interval.html#getLower--"><code><em>Lower</em></code></a>' containment reference.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/marte/vsl/vSL/Interval.html#setUpper-org.eclipse.papyrus.marte.vsl.vSL.Expression-">setUpper</a></span>(<a href="../../../../../../org/eclipse/papyrus/marte/vsl/vSL/Expression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">Expression</a>&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/marte/vsl/vSL/Interval.html#getUpper--"><code><em>Upper</em></code></a>' containment reference.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getIsLowerIncluded--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIsLowerIncluded</h4>
<pre><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getIsLowerIncluded()</pre>
<div class="block">Returns the value of the '<em><b>Is Lower Included</b></em>' attribute.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Is Lower Included</em>' attribute isn't clear, there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Is Lower Included</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/marte/vsl/vSL/Interval.html#setIsLowerIncluded-java.lang.String-"><code>setIsLowerIncluded(String)</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLPackage.html#getInterval_IsLowerIncluded--"><code>VSLPackage.getInterval_IsLowerIncluded()</code></a></dd>
</dl>
</li>
</ul>
<a name="setIsLowerIncluded-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setIsLowerIncluded</h4>
<pre>void&nbsp;setIsLowerIncluded(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/marte/vsl/vSL/Interval.html#getIsLowerIncluded--"><code><em>Is Lower Included</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Is Lower Included</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/marte/vsl/vSL/Interval.html#getIsLowerIncluded--"><code>getIsLowerIncluded()</code></a></dd>
</dl>
</li>
</ul>
<a name="getLower--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLower</h4>
<pre><a href="../../../../../../org/eclipse/papyrus/marte/vsl/vSL/Expression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">Expression</a>&nbsp;getLower()</pre>
<div class="block">Returns the value of the '<em><b>Lower</b></em>' containment reference.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Lower</em>' containment reference isn't clear, there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Lower</em>' containment reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/marte/vsl/vSL/Interval.html#setLower-org.eclipse.papyrus.marte.vsl.vSL.Expression-"><code>setLower(Expression)</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLPackage.html#getInterval_Lower--"><code>VSLPackage.getInterval_Lower()</code></a></dd>
</dl>
</li>
</ul>
<a name="setLower-org.eclipse.papyrus.marte.vsl.vSL.Expression-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLower</h4>
<pre>void&nbsp;setLower(<a href="../../../../../../org/eclipse/papyrus/marte/vsl/vSL/Expression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">Expression</a>&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/marte/vsl/vSL/Interval.html#getLower--"><code><em>Lower</em></code></a>' containment reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Lower</em>' containment reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/marte/vsl/vSL/Interval.html#getLower--"><code>getLower()</code></a></dd>
</dl>
</li>
</ul>
<a name="getUpper--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUpper</h4>
<pre><a href="../../../../../../org/eclipse/papyrus/marte/vsl/vSL/Expression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">Expression</a>&nbsp;getUpper()</pre>
<div class="block">Returns the value of the '<em><b>Upper</b></em>' containment reference.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Upper</em>' containment reference isn't clear, there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Upper</em>' containment reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/marte/vsl/vSL/Interval.html#setUpper-org.eclipse.papyrus.marte.vsl.vSL.Expression-"><code>setUpper(Expression)</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLPackage.html#getInterval_Upper--"><code>VSLPackage.getInterval_Upper()</code></a></dd>
</dl>
</li>
</ul>
<a name="setUpper-org.eclipse.papyrus.marte.vsl.vSL.Expression-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setUpper</h4>
<pre>void&nbsp;setUpper(<a href="../../../../../../org/eclipse/papyrus/marte/vsl/vSL/Expression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">Expression</a>&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/marte/vsl/vSL/Interval.html#getUpper--"><code><em>Upper</em></code></a>' containment reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Upper</em>' containment reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/marte/vsl/vSL/Interval.html#getUpper--"><code>getUpper()</code></a></dd>
</dl>
</li>
</ul>
<a name="getIsUpperIncluded--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIsUpperIncluded</h4>
<pre><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getIsUpperIncluded()</pre>
<div class="block">Returns the value of the '<em><b>Is Upper Included</b></em>' attribute.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Is Upper Included</em>' attribute isn't clear, there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Is Upper Included</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/marte/vsl/vSL/Interval.html#setIsUpperIncluded-java.lang.String-"><code>setIsUpperIncluded(String)</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLPackage.html#getInterval_IsUpperIncluded--"><code>VSLPackage.getInterval_IsUpperIncluded()</code></a></dd>
</dl>
</li>
</ul>
<a name="setIsUpperIncluded-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setIsUpperIncluded</h4>
<pre>void&nbsp;setIsUpperIncluded(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/marte/vsl/vSL/Interval.html#getIsUpperIncluded--"><code><em>Is Upper Included</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Is Upper Included</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/marte/vsl/vSL/Interval.html#getIsUpperIncluded--"><code>getIsUpperIncluded()</code></a></dd>
</dl>
</li>
</ul>
<a name="getFilteredParentRule-org.eclipse.emf.ecore.EClass-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFilteredParentRule</h4>
<pre>org.eclipse.emf.ecore.EObject&nbsp;getFilteredParentRule(org.eclipse.emf.ecore.EClass&nbsp;filter)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../org/eclipse/papyrus/marte/vsl/vSL/ValueSpecification.html#getFilteredParentRule-org.eclipse.emf.ecore.EClass-">getFilteredParentRule</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../org/eclipse/papyrus/marte/vsl/vSL/ValueSpecification.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">ValueSpecification</a></code></dd>
</dl>
</li>
</ul>
<a name="getExpectedType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExpectedType</h4>
<pre>org.eclipse.uml2.uml.Type&nbsp;getExpectedType()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../org/eclipse/papyrus/marte/vsl/vSL/ValueSpecification.html#getExpectedType--">getExpectedType</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../org/eclipse/papyrus/marte/vsl/vSL/ValueSpecification.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">ValueSpecification</a></code></dd>
</dl>
</li>
</ul>
<a name="getContextElement--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getContextElement</h4>
<pre>org.eclipse.uml2.uml.Element&nbsp;getContextElement()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../org/eclipse/papyrus/marte/vsl/vSL/ValueSpecification.html#getContextElement--">getContextElement</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../org/eclipse/papyrus/marte/vsl/vSL/ValueSpecification.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">ValueSpecification</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Interval.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/eclipse/papyrus/marte/vsl/vSL/IntegerLiteralRule.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/eclipse/papyrus/marte/vsl/vSL/JitterExp.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/eclipse/papyrus/marte/vsl/vSL/Interval.html" target="_top">Frames</a></li>
<li><a href="Interval.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
